/// <reference types="node" />
import { EventEmitter } from 'events';
declare class Config<TRaw> extends EventEmitter {
    readonly path: string;
    readonly dir: string;
    protected raw: TRaw;
    constructor(path: string);
    private load;
}
export declare const AbstractConfig: typeof Config;
export interface IConfig<TRaw> extends Config<TRaw> {
}
export {};
